Summary   	: System logging and kernel message trapping daemons.
Name	  	: hhl-target-sysklogd
Version	  	: 1.3.31
Release	  	: %{_hhl_build_id}.2
Source0		: ftp://sunsite.unc.edu/pub/Linux/system/daemons/sysklogd-1.3-31.tar.gz
Source1		: syslog.log
Source2: sysklogd.tmpl
Patch1		: sysklogd-1.3-alpha.patch
Patch2		: sysklogd-1.3-rh.patch
Patch3		: sysklogd-1.3-utmp-process.patch
Patch4		: sysklogd-1.3-sparc.patch
Patch5		: sysklogd-1.3-alphafoo.patch
Patch6		: sysklogd-nullterm.patch
Patch7		: sysklogd-fixDoS.patch
Patch8		: sysklogd-dgram.patch
Patch9		: syslogd.patch2
Patch10		: sysklogd-ksyms.patch
Patch11		: sysklogd-1.3-nostrip.patch
Patch12		: sysklogd-initd.diff
License 	: GPL 
Group	  	: System Environment/Daemons
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

#
#	SRPM
#
%description

The sysklogd package contains two system utilities (syslogd and klogd)
which provide support for system logging.  Syslogd and klogd run as
daemons (background processes) and log system messages to different
places, like sendmail logs, security logs, error logs, etc.

#
#	RPM
#

%package -n hhl-%{_hhl_target_arch}-sysklogd
Summary		: System logging and kernel message trapping daemons.
Group		: System Environment/Daemons
AutoReqProv	: no
Requires	: hhl-%{_hhl_target_arch}-hardhatutils, hhl-%{_hhl_target_arch}-initscripts

%description -n hhl-%{_hhl_target_arch}-sysklogd

The sysklogd package contains two system utilities (syslogd and klogd)
which provide support for system logging.  Syslogd and klogd run as
daemons (background processes) and log system messages to different
places, like sendmail logs, security logs, error logs, etc.

%prep

%target_check

%setup -n sysklogd-1.3-31
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1


%build
PATH=%{_hhl_cross_bin_dir}:$PATH

%target_setup

make CC=%{_hhl_target_toolprefix}gcc

%install
%target_setup
PATH=%{_hhl_cross_bin_dir}:$PATH
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_hhl_cross_target_dir}/{sbin,etc,usr/man/man{5,8}}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/{init.d,logrotate.d}

make install TOPDIR=%{buildroot}%{_hhl_cross_target_dir} STRIP=true

install -m644 debian/syslog.conf %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/syslog.conf
install -m755 debian/rc %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/syslog

install -m644  %{_sourcedir}/syslog.log %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/logrotate.d/syslog

cp COPYING LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/sysklogd

%clean
rm -rf %{buildroot}

%post -n hhl-%{_hhl_target_arch}-sysklogd
%target_script_prefix_setup
# Register the service
(%{_hhl_target_toolprefix}initdconfig --add syslog) &> /dev/null \
	|| echo "Unable to enable initd service: syslog"

# We only register services, not un-register them.

%files -n hhl-%{_hhl_target_arch}-sysklogd
%defattr(-,root,root)
%{_hhl_cross_target_dir}/sbin/klogd
%{_hhl_cross_target_dir}/sbin/syslogd
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/logrotate.d/syslog
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/syslog
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/syslog.conf
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/sysklogd
%doc LICENSE
%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Mon Feb 19 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file


